#
# spec file for package perl-IRI
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-IRI
Version:        0.011
Release:        1.15
%define cpan_name IRI
Summary:        Internationalized Resource Identifiers
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/G/GW/GWILLIAMS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Moo)
BuildRequires:  perl(MooX::HandlesVia)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(Type::Tiny) >= 0.008
BuildRequires:  perl(URI)
Requires:       perl(Moo)
Requires:       perl(MooX::HandlesVia)
Requires:       perl(Type::Tiny) >= 0.008
%{perl_requires}

%description
The IRI module provides an object representation for Internationalized
Resource Identifiers (IRIs) as defined by at
http://www.ietf.org/rfc/rfc3987.txt and supports their parsing,
serializing, and base resolution.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
PERL_USE_UNSAFE_INC=1 perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Fri Feb 21 2020 <timueller+perl@suse.de>
- updated to 0.011
  see /usr/share/doc/packages/perl-IRI/Changes
  0.011  2020-02-20
  - (Update) Add IRI->rel method.
* Sat Dec 28 2019 <timueller+perl@suse.de>
- updated to 0.010
  see /usr/share/doc/packages/perl-IRI/Changes
  0.010  2019-12-26
  - (Update) Fix component resolution to remove dots when base resolution
    occurs without a scheme but with a user/port/host.
* Fri Aug 30 2019 Tina Mueller <tina.mueller@suse.com>
- Remove outdated patch fix-package.diff (also not needed anymore)
  Remove manual fix for inc::Module::Install
* Wed Apr  3 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.009
  see /usr/share/doc/packages/perl-IRI/Changes
  0.009  2018-10-30
  - (Update) Reduce Minimum Perl Version to 5.10 (#12 from @tehmoth).
  0.008  2017-08-06
  - (Update) Fix typo in regex rule causing problems parsing codepoints
    beyond BMP (#11).
  0.007  2017-04-03
  - (Addition) Add query_form accessor and set_query_param constructor (#4).
  - (Update) Updated Makefile.PL for perl 5.26.
* Tue Oct  3 2017 coolo@suse.com
- patch the Makefile to build with perl 5.26
* Thu Jul 21 2016 coolo@suse.com
- updated to 0.006
  see /usr/share/doc/packages/perl-IRI/Changes
  0.006  2016-07-19
  - (Update) Fix regular expression use of quantifiers (#8 from Karl
    Williamson).
* Tue Apr 19 2016 opensuse@dstoecker.de
- update to version 0.0005
  - (Addition) Add ability to lazily parse IRI components.
  - (Addition) Add cpanfile, with Module::Install deps (#5 from Alberto
  Simões).
  - (Addition) Added Try::Tiny to list of build requirements (github issue
  [#3]).
  - (Update) Improve performance of IRI component parsing.
  - (Update) Update POD coverage test to ignore private attributes (#6 from
  Alberto Simões).
  - (Update) Updated required version of Type::Tiny to 0.008 to support use
  of InstanceOf (#7 from Alexandr Ciornii).
* Wed Mar 25 2015 coolo@suse.com
- initial package 0.004
  * created by cpanspec 1.78.08
- add fix-package.diff to get perl(IRI) from rpm
